> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Get auto top-up

> This org's auto top-up configuration (from Croesus); 404 if not configured yet.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/external/orgs/{slug}/auto-top-up
openapi: 3.1.0
info:
  title: Lyceum Cloud API
  version: 0.1.0
servers:
  - url: https://api.lyceum.technology
    description: Production
security:
  - bearerAuth: []
paths:
  /api/v2/external/orgs/{slug}/auto-top-up:
    get:
      tags:
        - Billing
      summary: Get auto top-up
      description: >-
        This org's auto top-up configuration (from Croesus); 404 if not
        configured yet.
      operationId: get_org_auto_top_up_api_v2_external_orgs__slug__auto_top_up_get
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
            title: Slug
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgAutoTopUpResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OrgAutoTopUpResponse:
      properties:
        org_id:
          type: string
          title: Org Id
        enabled:
          type: boolean
          title: Enabled
        top_up_below_balance:
          type: string
          title: Top Up Below Balance
          description: Decimal string. Do not cast to float.
        top_up_amount:
          type: string
          title: Top Up Amount
          description: Decimal string. Do not cast to float.
        consecutive_failed_attempts:
          type: integer
          title: Consecutive Failed Attempts
      type: object
      required:
        - org_id
        - enabled
        - top_up_below_balance
        - top_up_amount
        - consecutive_failed_attempts
      title: OrgAutoTopUpResponse
      description: Org auto top-up configuration (from Croesus).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Pass an API key (prefixed `lk_`) or a JWT access token as a bearer
        token. Generate API keys in the dashboard at
        https://dashboard.lyceum.technology/api-keys.

````